Summary: A pixmap library for the X Window System.
Name: xpm
Version: 3.4k
Release: 8
License: IBM_ILA
Group: System Environment/Libraries
URL: http://www-sop.inria.fr/koala/lehors/xpm.html
%ifnos aix6.1
Source0: ftp://ftp.x.org/contrib/libraries/xpm-%{version}.tar.gz
Source1: ftp://ftp.x.org/contrib/libraries/xpm-doc-A4.PS.gz 
Source2: ftp://ftp.x.org/contrib/libraries/xpm-tutorial.PS.gz 
Source3: ftp://ftp.x.org/contrib/libraries/xpm-FAQ.html
Source4: ftp://ftp.x.org/contrib/libraries/xpm-README.html
Source5: ftp://ftp.x.org/contrib/libraries/xpm_examples.tar.gz
Source6: IBM_ILA
Patch1: xpm-%{version}-imakegcc.patch
Patch2: xpm-%{version}-buff.patch
Patch3: xpm-%{version}-xorg.patch
Requires: AIX-rpm < 6.1.0.0
%endif
%define LIBVER 4.11
Prefix: %{_prefix}
BuildRoot: /var/tmp/xpm-root
%define DEFCC cc

%description
The xpm package contains the XPM pixmap library for the X Window
System.  The XPM library allows applications to display color,
pixmapped images, and is used by many popular X programs.
%ifos aix6.1
Note that this package is only a placeholder to satisfy RPM requisites.  
Starting in AIX 6.1, libXpm is provided by X11.base.lib.
%endif

%package devel
Requires: xpm
Group: Development/Libraries
Summary: Tools for developing apps which will use the XPM pixmap library.

%description devel
The xpm-devel package contains the development libraries and header
files necessary for developing applications which will use the XPM
library.  The XPM library is used by many programs for displaying
pixmaps in the X Window System.

Install the xpm-devel package if you want to develop applications using
the XPM pixmap library.  You'll also need to install the xpm package.
%ifos aix6.1
Note that this package is only a placeholder to satisfy RPM requisites.  
Starting in AIX 6.1, libXpm headers are provided by X11.adt.include.
%endif

%ifnos aix6.1
%prep
%setup -q
%patch1 -p1 -b .gcc
%patch2 -p0 -b .buff
%patch3 -p1 -b .xorg

# Add license info
cat $RPM_SOURCE_DIR/IBM_ILA > LICENSE
cat COPYRIGHT >> LICENSE

# Add documentation
cd $RPM_SOURCE_DIR
cp xpm-doc-A4.PS.gz xpm-tutorial.PS.gz \
	xpm-FAQ.html xpm-README.html \
	 xpm_examples.tar.gz $RPM_BUILD_DIR/%{name}-%{version}


%build
# Use the default compiler for this platform - gcc otherwise
if [[ -z "$CC" ]]
then
    if test "X`type %{DEFCC} 2>/dev/null`" != 'X'; then
       export CC=%{DEFCC}
    else 
       export CC=gcc
    fi
fi
if test "X$CC" != "Xgcc"
then
       export RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS | sed 's:-fsigned-char::'`
       export CFLAGS="$RPM_OPT_FLAGS"
fi

imake -DHasSharedLibraries=YES -DUseInstalled -I/usr/lib/X11/config
#xmkmf 
make CC=$CC Makefiles
make CC=$CC  includes
make CC=$CC CDEBUGFLAGS="-O" CXXDEBUGFLAGS="-O"

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install
make DESTDIR=$RPM_BUILD_ROOT install.man

cd $RPM_BUILD_ROOT

mv usr/include/X11/X11/* usr/include/X11
rm -rf usr/include/X11/X11

mkdir -p $RPM_BUILD_ROOT%{prefix}
cd $RPM_BUILD_ROOT/usr
mv lib include bin man $RPM_BUILD_ROOT%{prefix}/$dir

(
 cd $RPM_BUILD_ROOT
 mkdir -p usr/lpp/X11/lib/R6
 mkdir -p usr/lib
 ln -s %{prefix}/lib/libXpm.a usr/lpp/X11/lib/R6
 ln -s %{prefix}/lib/libXpm.a usr/lib

 mkdir -p usr/lpp/X11/include/X11
 ln -s %{prefix}/include/X11/xpm.h usr/lpp/X11/include/X11

 mkdir -p usr/lpp/X11/bin
 cd usr/lpp/X11/bin
 ln -s ../../../..%{prefix}/bin/X11/* .
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,system)
%doc LICENSE
%{prefix}/lib/libXpm.a
/usr/lpp/X11/lib/R6/libXpm.a
/usr/lib/libXpm.a

%files devel
%defattr(-,root,system)
%doc xpm-doc-A4.PS.gz xpm-tutorial.PS.gz xpm-FAQ.html xpm-README.html
%doc xpm_examples.tar.gz CHANGES LICENSE
%{prefix}/include/X11/xpm.h
%{prefix}/bin/*
/usr/lpp/X11/include/X11/xpm.h
/usr/lpp/X11/bin/*
%{prefix}/man/*/*

%else #os aix5.3
%files
%files devel
%endif 

%changelog
* Thu Oct 30 2008 Reza Arbab <arbab@austin.ibm.com>
- Split into two packages: a normal package for AIX < 6.1 and a dummy
  placeholder package for AIX >= 6.1.  libXpm is delivered with
  the base OS now.

* Thu Dec 9 2004 Dan McNichol <mcnichol@austin.ibm.com>
- Add the second round of "security" patches from X.Org.
  This mostly covers possible integer overflow problems.
- Modified /usr/lib/X11/config/ibmLib.rules (on the build system)
  to build shared libraries.

* Wed Sep 15 2004 David Clissold <cliss@austin.ibm.com>  3.4k-6
- Add a buffer overflow patch fix, forwarded by Dan McNichol, which he
  got from X.org.

* Fri Nov 22 2002 David Clissold <cliss@austin.ibm.com>
- Add IBM ILA license.

* Thu Mar 22 2001 David CLissold <cliss@austin.ibm.com>
- Setup for default compilers (non-gcc)

* Tue Feb 20 2001 aixtoolbox <aixtoollbox-l@austin.ibm.com>
- Account for different standard lib location in IA64 32-bit ABI

* Fri Oct 27 2000 pkgmgr <pkgmgr@austin.ibm.com>
- Modify for AIX Freeware distribution

* Thu Oct 28 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- handle RPM_OPT_FLAGS
- Fix compilation if xpm isn't installed already

* Mon Aug 30 1999 Preston Brown <pbrown@redhat.com>
- updated to 3.4k, included HTML documentation

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Oct 14 1997 Donnie Barnes <djb@redhat.com>
- upgraded to 3.4j
- spec file cleanups
- added docs to the devel package

* Mon Jun 16 1997 Erik Troan <ewt@redhat.com>
- built against glibc
